/*
 * goose.h
 *
 *  Created on: 16-07-2020
 *      Author: Krzysztof Jakubczyk
 */

#ifndef GOOSE_DRV_H_
#define GOOSE_DRV_H_

#include "tdefs.h"
#include "helper.h"
#include "comm.h"
#include "config.h"

struct goose_drv_logic
{
	float *recv;
	float *lost;
	u8 gooses_count;
	u16 element_num[];
};

struct goose_drv_io
{
	u32 recv_float_out;
	u32 lost_float_out;
}__attribute__((__packed__));


struct goose_drv_params
{
}__attribute__((__packed__));

struct goose_drv_args
{
	struct goose_drv_io io;
	struct goose_drv_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void goose_drv(void *args, void *logic);
extern int goose_drv_initlog(void *arguments, void *logic);

#endif
